Package org.eclipse.wst.xsl.core.internal.model

## org.eclipse.wst.xsl.core.internal.model
Class StylesheetBuilder

    public class StylesheetBuilder
    extends java.lang.Object

A builder that creates and maintains a cache of `Stylesheet`'s.

## Method Summary

`public static org.eclipse.wst.xsl.core.internal.model.StylesheetBuilder` | `getInstance()` Get the singleton `StylesheetBuilder` instance.
`public org.eclipse.wst.xsl.core.model.Stylesheet` | `getStylesheet(IFile file , boolean force)` Get the `Stylesheet` associated with the given file. If either the `Stylesheet` has not yet been created or `force` is specified then the `Stylesheet` is built.
`public void` | `release()` Releases all the cached stylesheets.
`public void` | `release(IFile file)`

## Methods Detail

## getInstance

`public org.eclipse.wst.xsl.core.internal.model.StylesheetBuilder getInstance()`

Get the singleton `StylesheetBuilder` instance.

### Returns

`org.eclipse.wst.xsl.core.internal.model.StylesheetBuilder` - the `StylesheetBuilder` instance

## getStylesheet

`public org.eclipse.wst.xsl.core.model.Stylesheet getStylesheet(IFile file , boolean force)`

Get the `Stylesheet` associated with the given file. If either the `Stylesheet` has not yet been created or `force` is specified then the `Stylesheet` is built.

### Parameters

`file` - the XSL file

`force` - `true` to force a parse of the file

### Returns

`org.eclipse.wst.xsl.core.model.Stylesheet` - the `Stylesheet`

## release

`public void release()`

Releases all the cached stylesheets.

## release

`public void release(IFile file)`

### Parameters

`file`